Skip to content
You're viewing documentation for v2026.11.6-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Get service alert overrides

Get the alert overrides of a database service.

GET/api/v1/database-services/{id}/alert-overrides
Authorization
tse_sessionAPI key · cookierequired
Path parameters
idstringrequired
Responses
200

OK

mutedUntilstring | nullrequired

RFC3339; null when the service is not muted or the alert router cannot be reached

routingAlertRoutingrequired
Show properties
destinationIdsinteger<int64>[]required

Empty for inherit

modestringrequired

replace: only the assigned destinations; add: the assigned and the global destinations

Allowed:inheritreplaceadd
rulesAlertRuleOverride[]required

Every rule that a service can override

Show properties
Array of AlertRuleOverride
effectiveAlertRuleEffectiverequired

The values the rule uses for this service

Show properties
enabledbooleanrequired
severitystringrequired
thresholdinteger<int64> | nullrequired

null when the rule has no threshold

enabledboolean | nullrequired

null inherits

namestringrequired
severitystring | nullrequired

null inherits

Allowed:warningcritical
thresholdinteger<int64> | nullrequired

null inherits

serviceIdstringrequired
serviceNamestringrequired
default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X GET 'https://console.example.com/api/v1/database-services/string/alert-overrides' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "mutedUntil": "string",
  "routing": {
    "destinationIds": [
      0
    ],
    "mode": "inherit"
  },
  "rules": [
    {
      "effective": {
        "enabled": true,
        "severity": "string",
        "threshold": 0
      },
      "enabled": true,
      "name": "string",
      "severity": "warning",
      "threshold": 0
    }
  ],
  "serviceId": "string",
  "serviceName": "string"
}